/api/entries/:bulk
POST
/api/entries/:bulk
const url = 'https://example.com/api/entries/:bulk';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"items":[{"id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","projectId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","taskId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","description":"example","startedAt":"2026-04-15T12:00:00Z","stoppedAt":"2026-04-15T12:00:00Z","tagIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"isBillable":true}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/entries/:bulk \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "taskId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example", "startedAt": "2026-04-15T12:00:00Z", "stoppedAt": "2026-04-15T12:00:00Z", "tagIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "isBillable": true } ] }'Authorizations
Section intitulée « Authorizations »Request Body required
Section intitulée « Request Body required » Media type application/json
object
items
Array<object>
object
id
string format: uuid
projectId
string format: uuid
taskId
string format: uuid
description
string
startedAt
string format: date-time
stoppedAt
string format: date-time
tagIds
Array<string>
isBillable
boolean
Example generated
{ "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "taskId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example", "startedAt": "2026-04-15T12:00:00Z", "stoppedAt": "2026-04-15T12:00:00Z", "tagIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "isBillable": true } ]}Responses
Section intitulée « Responses »OK